summaryrefslogtreecommitdiff
path: root/source3
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>1998-09-01 06:03:52 +0000
committerAndrew Tridgell <tridge@samba.org>1998-09-01 06:03:52 +0000
commit5ac39c2623791ca868cb95b4060392c59355627d (patch)
tree6e33d08891a7c5b1b7e211344a4a4fd2e6ebdc5a /source3
parent7b07680d3b1a302de8284df10658546b75da9887 (diff)
downloadsamba-5ac39c2623791ca868cb95b4060392c59355627d.tar.gz
samba-5ac39c2623791ca868cb95b4060392c59355627d.tar.bz2
samba-5ac39c2623791ca868cb95b4060392c59355627d.zip
need to istall new files
(This used to be commit c53ead308e941baa4524b9ec62d74290ce91503f)
Diffstat (limited to 'source3')
-rwxr-xr-xsource3/script/installswat.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/source3/script/installswat.sh b/source3/script/installswat.sh
index 93f534fd72..6bd11bcb99 100755
--- a/source3/script/installswat.sh
+++ b/source3/script/installswat.sh
@@ -8,7 +8,7 @@ echo Installing SWAT in $SWATDIR
echo Installing the Samba Web Admisistration Tool
-for d in $SWATDIR $SWATDIR/help $SWATDIR/images; do
+for d in $SWATDIR $SWATDIR/help $SWATDIR/images $SWATDIR/include; do
if [ ! -d $d ]; then
mkdir $d
if [ ! -d $d ]; then
@@ -39,6 +39,13 @@ for f in $SRCDIR../swat/help/*.html; do
chmod 0644 $FNAME
done
+for f in $SRCDIR../swat/include/*.html; do
+ FNAME=$SWATDIR/include/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+done
+
cat << EOF
======================================================================
The SWAT files have been installed. Remember to read the swat/README